Skip to navigation

✨ Create review

Create a review for a specific annotation ID. Only allowed for organizations with reviewing features enabled.

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”

Query parameters

async_postprocessbooleanOptional
Whether to postprocess the review asynchronously.

Request

This endpoint expects an object.
annotationintegerRequired
Corresponding annotation
acceptedbooleanOptional

Accepted or rejected (if false) flag

commentstring or nullOptional>=1 character
last_annotation_historyinteger or nullOptional
reject_actionenum or nullOptional
  • remove - Remove
  • requeue - Requeue
  • redistribute - Redistribute
Allowed values:
remove_from_queueboolean or nullOptional
resultany or nullOptional
started_atdatetime or nullOptional

Response

annotationinteger
Corresponding annotation
created_atdatetimeRead-only
Creation time
created_byintegerRead-only
User who made this review
fixed_annotation_historyinteger or nullRead-only
Fixed annotation history item by the reviewer
idintegerRead-only
previous_annotation_historyinteger or nullRead-only
Previous annotation history item by the annotator
statestringRead-only
acceptedbooleanOptional

Accepted or rejected (if false) flag

last_annotation_historyinteger or nullOptional
reject_actionenum or nullOptional
  • remove - Remove
  • requeue - Requeue
  • redistribute - Redistribute
Allowed values:
remove_from_queueboolean or nullOptional
resultany or nullOptional
started_atdatetime or nullOptional